////////////////////////////////////////////////////////////////////////////////
///                            GL_NormalRendererGroupingVisitor.h            ///
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGROUPINGVISITOR_H
#define GLNORMALRENDERERGROUPINGVISITOR_H

#include <X3DTK/gl_scenegraph.h>

namespace X3DTK {
namespace GL {

/// Visitor for the GLGrouping component of the GL_NormalRenderer module.

class NormalRendererGroupingVisitor : public GroupingVisitor
{
public:
  /// Constructor.
  NormalRendererGroupingVisitor();
  /// Destructor.
  virtual ~NormalRendererGroupingVisitor();

  /// Enters a GL::Transform.
  virtual void enterTransform(Transform *T) const;

  /// Leaves a GLTransform.
  virtual void leaveTransform(Transform *T) const;
};

}
}

#endif
