////////////////////////////////////////////////////////////////////////////////
///                            GL_SimpleAnimatorGeometry3DVisitor.h          ///
////////////////////////////////////////////////////////////////////////////////

#ifndef GLSIMPLEANIMATORGEOMETRY3DVISITOR_H
#define GLSIMPLEANIMATORGEOMETRY3DVISITOR_H

#include "GL_SimpleAnimatorStateVariables.h"

#include <X3DTK/gl_scenegraph.h>

namespace X3DTK {
namespace GL {

class IndexedFaceSet;

/// Visitor for the Geometry3D component of the SimpleAnimator module.

class SimpleAnimatorGeometry3DVisitor : public Geometry3DVisitor
{
public:
  /// Constructor.
  SimpleAnimatorGeometry3DVisitor();
  /// Destructor.
  virtual ~SimpleAnimatorGeometry3DVisitor();

  /// Enters a GL::IndexedFaceSet.
  virtual void enterIndexedFaceSet(IndexedFaceSet *I) const;

protected:
  SimpleAnimatorStateVariables *stateVariables;
};

}
}

#endif
