TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dcomponentactors

HEADERS = \
  X3D_DFSCoreWalker.h \
  X3D_DFSGeometry3DWalker.h \
  X3D_DFSGroupingWalker.h \
  X3D_DFSInterpolationWalker.h \
  X3D_DFSLightingWalker.h \
  X3D_DFSNURBSWalker.h \
  X3D_DFSRenderingWalker.h \
  X3D_DFSShapeWalker.h \
  X3D_DFSTexturingWalker.h \
  X3D_DFSNetworkingWalker.h \
  X3D_DFSNavigationWalker.h \
  X3D_DFSGraphTraversal.h \
  X3D_CoreVisitor.h \
  X3D_Geometry3DVisitor.h \
  X3D_GroupingVisitor.h \
  X3D_InterpolationVisitor.h \
  X3D_LightingVisitor.h \
  X3D_NURBSVisitor.h \
  X3D_RenderingVisitor.h \
  X3D_ShapeVisitor.h \
  X3D_TexturingVisitor.h \
  X3D_NetworkingVisitor.h \
  X3D_NavigationVisitor.h

SOURCES = \  
  X3D_DFSCoreWalker.cpp \
  X3D_DFSGeometry3DWalker.cpp \
  X3D_DFSGroupingWalker.cpp \
  X3D_DFSInterpolationWalker.cpp \
  X3D_DFSLightingWalker.cpp \
  X3D_DFSNURBSWalker.cpp \
  X3D_DFSRenderingWalker.cpp \
  X3D_DFSShapeWalker.cpp \
  X3D_DFSTexturingWalker.cpp \
  X3D_DFSNetworkingWalker.cpp \
  X3D_DFSNavigationWalker.cpp \  
  X3D_DFSGraphTraversal.cpp \
  X3D_CoreVisitor.cpp \
  X3D_Geometry3DVisitor.cpp \
  X3D_GroupingVisitor.cpp \
  X3D_InterpolationVisitor.cpp \
  X3D_LightingVisitor.cpp \
  X3D_NURBSVisitor.cpp \
  X3D_RenderingVisitor.cpp \
  X3D_ShapeVisitor.cpp \
  X3D_TexturingVisitor.cpp \
  X3D_NetworkingVisitor.cpp \
  X3D_NavigationVisitor.cpp  
  
include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib
OBJECTS_DIR = ../../../obj
