#include "MESH_Switch.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace MESH {

Switch::Switch()
: X3DGroupingNode(), _whichChoice(-1)
{
  defineTypeName("Switch");
}

Switch::Switch(const SFInt32 &whichChoice)
: X3DGroupingNode(), _whichChoice(whichChoice)
{
  defineTypeName("Switch");
}

Switch::Switch(const Switch &S)
: X3DGroupingNode(S), _whichChoice(S._whichChoice)
{
}

SFNode Switch::clone() const
{
  return new Switch(*this);
}

Switch::~Switch()
{
}

void Switch::setWhichChoice(const SFInt32 &whichChoice)
{
  _whichChoice = whichChoice;
}

}
}
